{#//todo za hed ili kontent start#}
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAGkcUKjDn1d_hrcORGL9El6GaBygGypCo&sensor&v=3.exp&libraries=places"></script>
{#//todo za hed ili kontent start#}


<script>
    function toMiles(i) {
        return i*0.000621371192;
    }

    let _customers = {{ Customers|json_encode|raw }};



    function test1() {
        let originAddressID = $("#theOrigin").val();
        let destinationAddressID = $("#theDestination").val();
        let loadRate = $("#loadRate").val();
        let originAddress = '';
        let destinationAddress = '';

        if (!originAddressID) {
            alert('Origin not set');
        }
        if (!destinationAddressID) {
            alert('Destination not set');
        }

        if (!loadRate) {
            alert('Input Load Rate to calculate Per Mile value');
        } else {

            let mapInfo = document.getElementById('loadMap');
            mapInfo.style.display = 'block';

            // alert(_customers[0].address);
            for (i = 0; i < _customers.length; i++) {
                if (_customers[i].id == originAddressID) {
                    originAddress = _customers[i].address;
                }
                if (_customers[i].id == destinationAddressID) {
                    destinationAddress = _customers[i].address;

                }

                console.log('_customers[i] id: ' + _customers[i].id);
                console.log('_customers[i] address: ' + _customers[i].address);

            }

            console.log('originID: ' + originAddressID);
            console.log('origin: ' + originAddress);
            console.log('destinationID: ' + destinationAddressID);
            console.log('destination: ' + destinationAddress);


            // let _distane = getDistance(originAddress, destinationAddress);
            let _distane = GetRoute(originAddress, destinationAddress);


        }

    }


    function getDistance(origin, destination) {
        let loadRate = $("#loadRate").val();
        var directionsService = new google.maps.DirectionsService();


        var request = {
            origin      : origin, // a city, full address, landmark etc
            destination : destination,
            travelMode  : google.maps.DirectionsTravelMode.DRIVING
        };

        directionsService.route(request, function(response, status) {
            if ( status == google.maps.DirectionsStatus.OK ) {
                // alert( response.routes[0].legs[0].distance.value ); // the distance in metres
                console.error(response.routes[0].legs[0].distance.value + ' meters');
                console.error(Math.round(toMiles(response.routes[0].legs[0].distance.value)) + ' miles {round}');
                console.error(loadRate / Math.round(toMiles(response.routes[0].legs[0].distance.value)) + ' per mile / {round}');
                $("#distance").val(Math.round(toMiles(response.routes[0].legs[0].distance.value)));
                $("#perMile").val((loadRate / Math.round(toMiles(response.routes[0].legs[0].distance.value))).toFixed(2));
                return toMiles(response.routes[0].legs[0].distance.value);
            }
            else {
                return 'error';
            }
        });
    }

</script>

<script type="text/javascript">
    var source, destination;
    var directionsDisplay;
    var directionsService = new google.maps.DirectionsService();
    google.maps.event.addDomListener(window, 'load', function () {
        // new google.maps.places.SearchBox(document.getElementById('txtSource'));
        // new google.maps.places.SearchBox(document.getElementById('txtDestination'));
        directionsDisplay = new google.maps.DirectionsRenderer({ 'draggable': true });
    });

    function GetRoute(_origin, _destination) {
        function toMiles(i) {
            return i*0.000621371192;
        }

        var belgrade = new google.maps.LatLng(44.7866, 20.4489);
        var mapOptions = {
            zoom: 7,
            center: belgrade
        };
        map = new google.maps.Map(document.getElementById('dvMap'), mapOptions);
        directionsDisplay.setMap(map);
        directionsDisplay.setPanel(document.getElementById('dvPanel'));

        //*********DIRECTIONS AND ROUTE**********************//
        // source = document.getElementById("txtSource").value;
        source = _origin;
        // destination = document.getElementById("txtDestination").value;
        destination = _destination;

        var request = {
            origin: source,
            destination: destination,
            travelMode: google.maps.TravelMode.DRIVING
        };
        directionsService.route(request, function (response, status) {
            if (status == google.maps.DirectionsStatus.OK) {
                directionsDisplay.setDirections(response);
            }
        });

        //*********DISTANCE AND DURATION**********************//
        var service = new google.maps.DistanceMatrixService();
        service.getDistanceMatrix({
            origins: [source],
            destinations: [destination],
            travelMode: google.maps.TravelMode.DRIVING,
            unitSystem: google.maps.UnitSystem.IMPERIAL,
            avoidHighways: false,
            avoidTolls: false
        }, function (response, status) {
            if (status == google.maps.DistanceMatrixStatus.OK && response.rows[0].elements[0].status != "ZERO_RESULTS") {
                var distance = response.rows[0].elements[0].distance.text;
                var distanceV = response.rows[0].elements[0].distance.value;
                var duration = response.rows[0].elements[0].duration.text;
                var dvDistance = document.getElementById("dvDistance");
                dvDistance.innerHTML = "";
                dvDistance.innerHTML += "Distance: " + distance + "<br>";
                dvDistance.innerHTML += "Duration:" + duration;

                let loadRate = $("#loadRate").val();
                console.error(distance);
                console.error(loadRate / distanceV + ' per mile');
                // $("#distance").val(distanceV);
                // $("#perMile").val((loadRate / distanceV).toFixed(2));

                $("#distance").val(Math.round(toMiles(distanceV)));
                $("#perMile").val((loadRate / Math.round(toMiles(distanceV))).toFixed(2));

            } else {
                alert("Unable to find the distance via road.");
            }
        });
    }
</script>


